//******************************************************//
//	skies/toxicskytim_blue				//
//	was using inexistent TGA for editorimage	//
//	changed qer_editorimage	to more accurate	//
//	custom image: bluetopclouds.tga			//
//	added q3map_lightimage to retain original	//
//	surface light color (white) for compilation	//
//	Phase 2 cleanup					//
//	obsolete or inactive keywords commented out:	//
//	surfaceparm sky					//
//******************************************************//
// modified for different sun position
textures/skies/toxicskytim_blue_b
//used in tim_ctf1 blue
{
	surfaceparm noimpact
	surfaceparm nolightmap
//	surfaceparm sky

	q3map_sun	.5 .6 .8 90 0 90
	q3map_surfacelight 80

	q3map_lightimage textures/common/white.tga
	qer_editorimage textures/skies/bluetopclouds.tga
	skyparms - 512 -
	//cloudparms 512 full
	{
		map textures/skies/bluedimclouds.tga
		tcMod scale 3 2
		tcMod scroll 0.15 0.15
		depthWrite
	}
	{
		map textures/skies/topclouds.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.05 0.05
	}
}
// sky
// q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
// color will be normalized, so it doesn't matter what range you use
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon

textures/g1zm0_skies/blue1
{
	qer_trans 0.60
	qer_editorimage textures/g1zm0_skies/g1z_blueclouds.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

	q3map_sun	1 1 1 95 315 50
	q3map_surfacelight 120
	q3map_lightimage textures/skies/toxicsky.tga
	q3map_lightsubdivide 512

	skyparms - 512 -
	{
		map textures/g1zm0_skies/g1z_dimclouds.tga
		tcMod scale 3 2
		tcMod scroll 0.015 0.015
		depthWrite
	}
	{
		map textures/g1zm0_skies/g1z_blueclouds.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.01 0.01
	}
}

//******************************************************//
//	skies/toxicskytim_blue				//
//	was using inexistent TGA for editorimage	//
//	changed qer_editorimage	to more accurate	//
//	custom image: bluetopclouds.tga			//
//	added q3map_lightimage to retain original	//
//	surface light color (white) for compilation	//
//	Phase 2 cleanup					//
//	obsolete or inactive keywords commented out:	//
//	surfaceparm sky					//
//******************************************************//
// modified by g1zm0 for different sun position, ect.
textures/skies/toxicskytim_blue_c
//used in tim_ctf1 blue
{
	surfaceparm noimpact
	surfaceparm nolightmap
//	surfaceparm sky

	q3map_sun	.5 .6 .8 75 0 90
	q3map_surfacelight 40

	q3map_lightimage textures/common/white.tga
	qer_editorimage textures/skies/bluetopclouds.tga
	skyparms - 512 -
	//cloudparms 512 full
	{
		map textures/skies/bluedimclouds.tga
		tcMod scale 3 2
		tcMod scroll 0.15 0.15
		depthWrite
	}
	{
		map textures/skies/topclouds.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.05 0.05
	}
}

textures/g1zm0_skies/cansky
{
	qer_editorimage textures/g1zm0_skies/env/blackgold512_bk.tga
	qer_trans 0.40
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_surfacelight 40
//	q3map_sun 1 1 1 85 220 40
	q3map_sun .5 .6 .8 75 0 90
	skyparms textures/g1zm0_skies/env/blackgold512 - -
}
//******************************************************//
//	skies/toxicskytim_blue				//
//	was using inexistent TGA for editorimage	//
//	changed qer_editorimage	to more accurate	//
//	custom image: bluetopclouds.tga			//
//	added q3map_lightimage to retain original	//
//	surface light color (white) for compilation	//
//	Phase 2 cleanup					//
//	obsolete or inactive keywords commented out:	//
//	surfaceparm sky					//
//******************************************************//
// modified for different sun position
textures/skies/toxicskytim_blue_b
//used in tim_ctf1 blue
{
	surfaceparm noimpact
	surfaceparm nolightmap
//	surfaceparm sky

	q3map_sun	.5 .6 .8 90 0 90
	q3map_surfacelight 80

	q3map_lightimage textures/common/white.tga
	qer_editorimage textures/skies/bluetopclouds.tga
	skyparms - 512 -
	//cloudparms 512 full
	{
		map textures/skies/bluedimclouds.tga
		tcMod scale 3 2
		tcMod scroll 0.15 0.15
		depthWrite
	}
	{
		map textures/skies/topclouds.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.05 0.05
	}
}